Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228949 - dhcp client can't get ip in kernel-2.6.20-1.2930.fc7.
Summary: dhcp client can't get ip in kernel-2.6.20-1.2930.fc7.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 02:44 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.6.20-1.2949.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-27 14:16:52 UTC


Attachments (Terms of Use)

Description sangu 2007-02-16 02:44:56 UTC
Description of problem:
dhcp client can't get ip in kernel-2.6.20-1.2930.fc7.

$service network start
failed
/var/log/messages
[...]
localhost kernel: forcedeth.c: Reverse Engineered nForce ethernet driver.
Version 0.60. 
[...]
localhost dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67               
localhost dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67               
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4   
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4   
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 9   
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 15  
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 20  
localhost dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 9   
localhost dhclient: No DHCPOFFERS received.                                      
localhost dhclient: Trying recorded lease 192.168.0.4
[...]
Version-Release number of selected component (if applicable):
2.6.20-1.2930.fc7

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
/sbin/lspci | grep net
00:0a.0 Bridge: nVidia Corporation CK804 Ethernet Controller (rev a3)

dhclient-3.0.5-19.fc7

dhclient works well in kernel-2.6.20-1.2925.fc7.

Comment 1 Milan Kerslager 2007-02-18 20:58:04 UTC
The same problem is here when trying network installation from devel tree
(2.6.20-1.2932). Older versions of the kernel works fine.

Comment 2 Milan Kerslager 2007-02-18 21:09:03 UTC
I tryed to bot with pci=nomsi (see bug #222556) and with napic but it does not
work. It seems that the first DHCP works, but then DNS failed (to download
kickstart file) and second DHCP does not work at all too. Numeric IP address
does not helped too.

The kernel 2.6.20-1.2930 does not work too even tryed in working FC6 installation.

I have onboard nVidia MCP51 (forcedeth driver).

Comment 3 Milan Kerslager 2007-02-21 14:34:46 UTC
Today kernel 2.6.20-1.2936.fc7 (2.6.20-git15) is still broken.

Comment 4 sangu 2007-02-27 14:16:52 UTC
kernel-2.6.20-1.2949.fc7
------------------------
* Mon Feb 26 2007 Dave Jones <davej@redhat.com>
- Fix up radeonfb backlight.
- Revert forcedeth changes so that it works again.


Comment 5 Milan Kerslager 2007-02-27 18:43:10 UTC
Confirming that the latest kernel-2.6.20-1.2949.fc7 works. Thank you.


Note You need to log in before you can comment on or make changes to this bug.